---
title: "Delete event subscription"
url: "https://docs.signnow.com/docs/manage-event-subscriptions/operations/delete-v2-event-subscriptions-subscription_id"
type: "endpoint"
section: "manage-event-subscriptions"
slug: "manage-event-subscriptions/operations/delete-v2-event-subscriptions-subscription_id"
method: "DELETE"
path: "/v2/event-subscriptions/{subscription_id}"
operation_id: "delete-v2-event-subscriptions-subscription_id"
authorization: "bearer"
---

# Delete event subscription

`DELETE /v2/event-subscriptions/{subscription_id}`

This endpoint allows users to delete an event subscription.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `subscription_id` | string | Yes | ID of the subscription. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 204

Success, no content

### 400

Incorrect Bearer token

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The bearer token is valid but it belongs to another user.
* Email notifications are turned on for this subscription

**Example** (`Another user's token`)

```json
{
  "errors": [
    {
      "code": 15006004,
      "message": "Event subscription is not allowed."
    }
  ]
}
```

**Example** (`Email notifications error`)

```json
{
  "errors": [
    {
      "code": 15006040,
      "message": "This webhook sends data to a callback URL that is used in your email notifications as a filter. The email address that receives notification is {notificationEmail}. First, remove the callback URL from the notification at API Dashboard, and then unsubscribe from the webhook."
    }
  ]
}
```

### 404

* The subscription ID doesn't exist.
* The subscription ID value is incorrect (must match [a-z0-9]{40}).

**Example** (`Incorrect subscription ID`)

```json
{
  "errors": [
    {
      "code": 15006003,
      "message": "Event subscription not found."
    }
  ]
}
```

**Example** (`Subscription ID doesn't exist`)

```json
{
  "errors": [
    {
      "code": 15006003,
      "message": "Event subscription not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/v2/event-subscriptions/{subscription_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-event-subscriptions/operations/delete-v2-event-subscriptions-subscription_id*
